Package twisted :: Package web :: Module util |
[show private | hide private]
[frames | no frames]

## Module twisted.web.util

Classes
`Redirect` |

Function Summary
| `formatFailure(myFailure)`
| `htmlDict(d)`
| `htmlFunc(f)`
| `htmlIndent(snippetLine)`
| `htmlInst(i)`
| `htmlList(l)`
| `htmlrepr(x)`
| `htmlString(s)`
| `htmlUnknown(x)`
| `redirectTo(URL, request)`
| `saferepr(x)`

Variable Summary
`dict` | `htmlReprTypes`
`str` | `stylesheet`

Variable Details

    ### htmlReprTypes Type: `dict` Value:
        {<type 'str'>: <function htmlString at 0x8429eec>,
         <type 'instance'>: <function htmlInst at 0x84347dc>,
         <type 'function'>: <function htmlFunc at 0x8429f24>,
         <type 'list'>: <function htmlList at 0x8415e2c>,
         <type 'dict'>: <function htmlDict at 0x8432a3c>}

    ### stylesheet Type: `str` Value:
        '''
        <style type="text/css">
            p.error {
              color: red;
              font-family: Verdana, Arial, helvetica, sans-serif;
              font-weight: bold;
            }

        ...

Generated by Epydoc 1.1 on Thu May 8 13:19:09 2003 | http://epydoc.sf.net